function::proc_mem_size
Prev | Chapter 6. Memory Tapset | Next

## Name

function::proc_mem_size — Total program virtual memory size in pages

## Synopsis

    1) proc_mem_size:long()

    2) proc_mem_size:long(pid:long)

## Arguments

`pid`

  The pid of process to examine

## Description

1) Returns the total virtual memory size in pages of the current process, or zero when there is no current process or the number of pages couldn't be retrieved.

2) Returns the total virtual memory size in pages of the given process, or zero when that process doesn't exist or the number of pages couldn't be retrieved.

Prev | Up | Next
function::proc_mem_shr | Home | function::proc_mem_string